CVE-2000-0623
CVSS10.0
发布时间 :2000-07-17 00:00:00
修订时间 :2008-09-10 15:05:13
NMCOS    

[原文]Buffer overflow in O'Reilly WebSite Professional web server 2.4 and earlier allows remote attackers to execute arbitrary commands via a long GET request or Referrer header.


[CNNVD]O'Reilly WebSite GET缓冲区溢出漏洞(CNNVD-200007-042)

        O'Reilly WebSite Professional web server 2.4版本及之前版本存在缓冲区溢出漏洞。远程攻击者可以借助超长GET请求或Referrer标题来执行任意命令。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:oreilly:website_professional:2.3.18
cpe:/a:oreilly:website_professional:2.4.9
cpe:/a:oreilly:website_professional:2.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0623
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0623
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200007-042
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1492
(VENDOR_ADVISORY)  BID  1492
http://www.ntbugtraq.com/default.asp?pid=36&sid=1&A2=ind0007&L=ntbugtraq&F=&S=&P=5946
(VENDOR_ADVISORY)  NTBUGTRAQ  20000719 Alert: Buffer Overrun is O'Reilly WebsitePro httpd32.exe (CISADV000717)

- 漏洞信息

O'Reilly WebSite GET缓冲区溢出漏洞
危急 缓冲区溢出
2000-07-17 00:00:00 2006-09-22 00:00:00
远程※本地  
        O'Reilly WebSite Professional web server 2.4版本及之前版本存在缓冲区溢出漏洞。远程攻击者可以借助超长GET请求或Referrer标题来执行任意命令。

- 公告与补丁

        Upgrade to version 2.5 of the software.
        OReilly Software WebSite Professional 2.3.18
        
        OReilly Software WebSite Professional 2.4
        
        OReilly Software WebSite Professional 2.4.9
        

- 漏洞信息

375
O'Reilly WebSite Pro GET Request Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2000-07-19 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

O'Reilly WebSite GET Buffer Overflow Vulnerability
Boundary Condition Error 1492
Yes Yes
2000-07-17 12:00:00 2009-07-11 02:56:00
Disclosed in an advisory dated July 17th, 2000 by Cerberus Security Team.

- 受影响的程序版本

OReilly Software WebSite Professional 2.4.9
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
OReilly Software WebSite Professional 2.4
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
OReilly Software WebSite Professional 2.3.18
OReilly Software WebSite Professional 2.5
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0

- 不受影响的程序版本

OReilly Software WebSite Professional 2.5
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0

- 漏洞讨论

There is a buffer overflow in O'Reilly WebSite Web Server versions prior to (not including) 2.5. This can exploited by submitting a long GET request or "Referrer" client header. It is possible to overwrite the return address and thereby execute code.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Upgrade to version 2.5 of the software.


OReilly Software WebSite Professional 2.3.18

OReilly Software WebSite Professional 2.4

OReilly Software WebSite Professional 2.4.9

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站